Pencyl won't run

oripessach

  • *
  • Posts: 259
Hi,

I was never able to get Pencyl to run. Here's the exception I'm getting:

Level:     INFO
When:      2015-05-22 22:56:22:871
From:      stencyl.sw.util.StreamGobbler

[java] Exception in thread "main" java.lang.UnsupportedClassVersionError: pencyl/Pencyl : Unsupported major.minor version 51.0

oripessach

  • *
  • Posts: 259
Removing and reinstalling Pencyl worked for me, but I remember doing this before with no effect. Is there a reason why Pencyl isn't simply bundled with Stencyl?

captaincomic

  • *
  • Posts: 6108
This was an error where Pencyl was built with a new Java version and thus could not be opened anymore with older ones. It was fixed a while ago, but as you noticed you need to remove and reinstall Pencyl to get the fixed version.

I think it isn't bundled to reduce the download size a bit, since many people don't need it.